%define upstream_name    Alien-libuv
%define upstream_version 1.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interface to the libuv library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-libuv-vendorlib.patch
Patch1:     Alien-libuv-no-download.patch

BuildRequires: perl(Alien::Autotools) >= 1.0.0
BuildRequires: perl(Alien::Base) >= 1.0.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.40.0
BuildRequires: perl(Alien::Build::Plugin::Build::Make)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Test2::Suite)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: pkgconfig(libuv)
BuildArch:  noarch

%description
This package can be used by other https://metacpan.org modules that require
http://libuv.org.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/libuv.pm
%perl_vendorlib/Alien/libuv/
%perl_vendorlib/auto/share/dist/Alien-libuv/

%changelog
* Fri Jul 17 2020 tv <tv> 1.14.0-1.mga8
+ Revision: 1606651
- update to 1.014

* Tue Mar 17 2020 tv <tv> 1.13.0-1.mga8
+ Revision: 1557236
- update to 1.013

* Sun Feb 16 2020 umeabot <umeabot> 1.12.0-2.mga8
+ Revision: 1530534
- Mageia 8 Mass Rebuild

* Mon Sep 02 2019 tv <tv> 1.12.0-1.mga8
+ Revision: 1436375
- update to 1.012

* Sun Jun 30 2019 tv <tv> 1.11.0-1.mga8
+ Revision: 1416272
- update to 1.011

* Thu Apr 11 2019 tv <tv> 1.10.0-1.mga7
+ Revision: 1388472
- update to 1.010

* Wed Apr 10 2019 tv <tv> 1.9.0-1.mga7
+ Revision: 1387951
- update to 1.009

* Thu Feb 07 2019 tv <tv> 1.8.0-1.mga7
+ Revision: 1364067
- update to 1.008

* Tue Jan 15 2019 tv <tv> 1.7.0-1.mga7
+ Revision: 1357107
- update to 1.007

* Thu Sep 20 2018 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1281573
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 wally <wally> 1.6.0-1.mga7
+ Revision: 1262094
- new upstream version 1.006

* Sat Aug 25 2018 wally <wally> 1.5.0-1.mga7
+ Revision: 1254459
- new upstream version 1.005

* Tue Jul 24 2018 wally <wally> 1.3.0-1.mga7
+ Revision: 1245140
- add patches to install to noarch vendorlib and to skip dl'ing libuv sources
- imported package perl-Alien-libuv

